# Run a Block Producer Node

### Config.ini&#x20;

```
# BP Settings
producer-name = ivote4waxusa
signature-provider =  pubkey=KEY:privkey
read-only-threads = 0
block-log-retain-blocks = 0

# Common Settings (customise based on your node)
blocks-dir = "/data/Tonomy/blocks"
agent-name = tonomy-bp-node-{yourname}
http-server-address = 0.0.0.0:8888
p2p-listen-endpoint = 0.0.0.0:9876
p2p-server-address = tonomy.website.com:9875

plugin = eosio::http_plugin
plugin = eosio::chain_api_plugin
plugin = eosio::db_size_api_plugin

access-control-allow-origin = *
access-control-allow-headers = Origin, X-Requested-With, Content-Type, Accept
http-validate-host = false
verbose-http-errors = true
abi-serializer-max-time-ms = 2000
http-max-response-time-ms = 100000

disable-subjective-p2p-billing = false
disable-subjective-api-billing = false
subjective-account-decay-time-minutes = 60

resource-monitor-space-threshold = 98
chain-state-db-size-mb = 120000
database-map-mode = mapped_private

max-clients = 150
sync-fetch-span = 200
p2p-max-nodes-per-host = 100

chain-threads = 4
net-threads = 4
http-threads = 8
producer-threads = 4

```

Make sure you also add the relevant p2p-peer-address values from Peer Addresses to the end of the **config.ini** file

#### Run nodeos

```
nodeos --config-dir /path/to/config --data-dir /path/to/data
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonomy.io/run-tonomy-infrastructure/node-setup/run-a-block-producer-node.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
